package com.xhkjedu.sexam.mapper.exam;

import com.xhkjedu.sexam.base.TkMapper;
import com.xhkjedu.sexam.model.exam.ESubjectBadstudent;
import com.xhkjedu.sexam.model.exam.ESubjectInvigilate;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ESubjectBadstudentMapper extends TkMapper<ESubjectBadstudent> {
    //试卷学生
    List<Map> listStu(@Param("ei") ESubjectInvigilate ei);

    //学生进场概况
    Map getPaperRate(@Param("ei") ESubjectInvigilate ei);

    //教师监考班级
    Map getClass(@Param("esid") Integer esid, @Param("teacherid") Integer teacherid);

    //试卷学生异常记录
    List<Map> listBadStu(@Param("ei") ESubjectInvigilate ei);

    //学生违纪行为分析详情
    List<Map> listBad(@Param("studentid") Integer studentid, @Param("examid") Integer examid);
}